Loading...
Searching...
No Matches
color.h File Reference

Color structs and related functions. More...

`#include <sstream>`
Include dependency graph for color.h:

## Classes

struct | Gfx::Color
| RGBA color. More...
struct | Gfx::IntColor
| Color with integer values. More...
struct | Gfx::ColorHSV
| HSV color. More...

## Namespaces

namespace | Gfx
| Namespace for (new) graphics code.

## Functions

Color | Gfx::IntColorToColor (IntColor color)
IntColor | Gfx::ColorToIntColor (Color color)
Color | Gfx::IntensityToColor (float intensity)
ColorHSV | Gfx::RGB2HSV (Color color)
| Converts a RGB color to HSV color.
Color | Gfx::HSV2RGB (ColorHSV color)
| Converts a HSV color to RGB color.

## Detailed Description

Color structs and related functions.